<?php

namespace App\Models;


use Laravel\Passport\HasApiTokens;
use Illuminate\Database\Eloquent\Model;

class ApiConfig extends Model
{
    use HasApiTokens;

    protected $table = 'api_configuration';
    protected $fillable = ['client_id', 'service_id', 'config_data', 'is_active', 'created_at', 'updated_at'];


    public function client()
    {
        return $this->belongsTo(Client::class, 'client_id');
    }

    public function service()
    {
        return $this->belongsTo(Service::class, 'service_id');
    }
}
