@extends('layouts.app')
@section('title', 'Stellar | Assign')
@section('content')
<div class="container-fluid mt-2">
    @include('app.assignorders.index')
    <div class="col-lg-12">
        <div class="card ">
            <form action="{{route('assignment_update')}}" method="POST" enctype="multipart/form-data">
                @csrf
                <input type="hidden" name="type" value='3'>
            <div class="card-body">
                <div class="p-0">
                    <table id="datatable" class="table table-bordered nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                        <thead>
                            <tr>
                                <th width="8%">Sl No</th>
                                <th width="10%">Order #</th>
                                <th width="10%">Client </th>
                                <th width="10%">Service </th>
                                <th width="15%">Borrower Name</th>
                                <th width="20%">Property Address</th>
                                <th width="10%">Status </th>
                                <th width="8%" class="text-center">
                                    All <input type="checkbox" value="" id="selectall" name="selectall" class="pb-0 pt-3"/>
                                </th>
                                <td width="15%" align="center" style="vertical-align: middle;">
                                    <select style="width: 150px;" required class="form-control form-control-sm" id="user_id" name="user_id" disabled>
                                        <option selected disabled value=""> Select User</option>
                                        {{-- @foreach ($users as $User)
                                        <option value="{{ $User->id }}">
                                            {!! ucwords($User->first_name." ".$User->last_name)  !!}</option>
                                        @endforeach --}}
                                    </select>
                                </td>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($orders as $order)
                            @php
                                $inputData = json_decode($order->input, true);
                            @endphp
                                <tr style="color:#36374c">
                                    <td>{{ $loop->iteration}}</td>
                                    <td>{{ $order->id }}</td>
                                    <td>{!! isset($order->clients->client_name) ? $order->clients->client_name : "" !!}</td>
                                    <td data-id="{{$order->services->id}}">{!! isset($order->services->service_name) ? $order->services->service_name : "" !!}</td>
                                    <td>
                                        {!! isset($inputData['BorrowerInfo']['FirstBorrowerInfo']['first_name']) ? $inputData['BorrowerInfo']['FirstBorrowerInfo']['first_name'] : "" !!}
                                        {!! isset($inputData['BorrowerInfo']['FirstBorrowerInfo']['middle_name']) ? ' ' . $inputData['BorrowerInfo']['FirstBorrowerInfo']['middle_name'] : "" !!}
                                        {!! isset($inputData['BorrowerInfo']['FirstBorrowerInfo']['last_name']) ? ' ' . $inputData['BorrowerInfo']['FirstBorrowerInfo']['last_name'] : "" !!}
                                    </td>
                                    <td class="text-wrap">{!! isset($inputData['PropertyData']['address']) ? $inputData['PropertyData']['address'] : "" !!}</td>
                                    <td>{!! isset($order->statusTypes->status) ? $order->statusTypes->status : "" !!}</td>
                                    <td align="center">
                                        <input  type="checkbox" value="{{$order->id}}" id="logs{{$order->id}}" name="orders[]" />
                                    </td>
                                    <td> </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>

                </div>
            </div>
                <div class="form-group">
                    <div class="col-sm-12 text-center">
                        <button type="submit" class="btn btn-primary" style="display: none;" id="re_assign" name="re_assign">Re-Assign</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

{{-- Js --}}
<script type="text/javascript">

    $(function(){
        var requiredCheckboxes = $('.checkclass :checkbox[required]');
        requiredCheckboxes.change(function(){
            if(requiredCheckboxes.is(':checked')) {
                requiredCheckboxes.removeAttr('required');
            } else {
                requiredCheckboxes.attr('required', 'required');
            }
        });
    });

    $(document).ready(function(){
        var selectedDataIds = [];

        function updateAssignStatus() {
            var anyCheckboxChecked = $('input[type="checkbox"]:checked').not('#selectall').length > 0;

            if (anyCheckboxChecked) {
                $('#user_id').prop('disabled', false);
                $('#re_assign').show();
            } else {
                $('#user_id').prop('disabled', true);
                $('#re_assign').hide();
            }
        }


    $('input[type="checkbox"]').not('#selectall').change(function () {
            var selectedServiceIds = []; // Array to store selected service IDs

            $('input[type="checkbox"]:checked').not('#selectall').each(function () {
                var rowId = $(this).val();
                var dataIdValue = $(this).closest('tr').find('td[data-id]').data('id');

                selectedDataIds[rowId] = dataIdValue;
                selectedServiceIds.push(dataIdValue);
            });


            selectedServiceIds = selectedServiceIds.filter(value => value !== null)
                .filter((value, index, self) => self.indexOf(value) === index);

            $.ajax({
                url: "{{url('getServiceUsers')}}",
                type: "POST",
                data: {
                    serviceId: selectedServiceIds,
                    _token: '{{csrf_token()}}'
                },
                dataType: 'json',
                success: function (result) {
                    $('#user_id').html('<option value="">Select User</option>');
                    if (Array.isArray(result)) {
                        result.forEach(function (user) {
                            $('#user_id').append('<option value="' + user.id + '">' + user.first_name + ' ' + user.last_name + '</option>');
                        });
                    } else {

                    }
                }
            });
            updateAssignStatus();
        });


            $("#selectall").on('change', function(){
                var selectedDataIds_all = [];
                    if($("input[type=checkbox]").hasClass("checkclass")){
                        $("input[type=checkbox]").removeAttr("checked").removeClass('checkclass');
                    }
                    else{
                        $("input[type=checkbox]").attr("checked", "checked").addClass('checkclass');
                        // var selectedDataIds = [];

                        $("td[data-id]").each(function(){
                            selectedDataIds_all.push($(this).data("id"));
                        });

                        var serviceIds = Object.values(selectedDataIds_all).filter(value => value !== null);

                        var serviceId = serviceIds.filter((value, index, self) => {
                            return self.indexOf(value) === index;
                        });

                        $.ajax({
                            url: "{{url('getServiceUsers')}}",
                            type: "POST",
                            data: {
                                serviceId: serviceId,
                                _token: '{{csrf_token()}}'
                            },
                            dataType: 'json',
                            success: function (result) {
                                $('#user_id').html('<option value="">Select User</option>');
                                if (Array.isArray(result)) {
                                    result.forEach(function(user) {
                                        $('#user_id').append('<option value="' + user.id + '">' + user.first_name + ' ' + user.last_name + '</option>');
                                    });
                                } else {

                                }
                            }
                        });

                        updateAssignStatus();
                    }
                });

    });


    </script>

@endsection
