<?php $__env->startSection('title', 'Stellar | Companies'); ?>
<?php $__env->startSection('content'); ?>
<div class="container mt-2">
    <?php echo $__env->make('app.settings.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="col-lg-12">
        <div class="card ">
            <div class="card-body">
                <div class="p-0">
                    <table id="datatable" class="table table-bordered nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                        <thead>
                            <tr>
                                <th>Sl No</th>
                                <th>Company Name</th>
                                <th>Address</th>
                                <th>City</th>
                                <th>County</th>
                                <th>State</th>
                                <th>Contact No</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $companyData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $company): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($loop->iteration); ?></td>
                                <td><?php echo e($company->company_name); ?></td>
                                <td><?php echo e($company->address); ?></td>
                                <td><?php echo e($company->city); ?></td>
                                <td><?php echo e(isset($company->counties->county_name) ? $company->counties->county_name : ""); ?></td>
                                <td><?php echo e(isset($company->states->short_code) ? $company->states->short_code : ""); ?></td>
                                <td><?php echo e($company->contact); ?></td>
                                <td>
                                    <div class="custom-control custom-switch">
                                        <input type="checkbox"  class="custom-control-input" id="customSwitch<?php echo e($company->id); ?>"  value="<?php echo e($company->id); ?>" onclick="companyStatus(this.value)" <?php if($company->is_active==1): ?> checked <?php endif; ?>>
                                        <label class="custom-control-label" for="customSwitch<?php echo e($company->id); ?>"><?php if($company->is_active==1): ?> Active <?php else: ?> Inactive <?php endif; ?></label>
                                    </div>
                                </td>
                                <td>
                                     <span class="edit_company ml-2" style=" cursor: pointer;"  data-id="<?php echo e($company->id); ?>">
                                        <img class="menuicon tbl_editbtn" src="<?php echo e(asset('assets/images/edit.svg')); ?>" >&nbsp;
                                    </span>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="myModal">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
      <form id="companyForm" name="companyForm" method="post" role="form" enctype="multipart/form-data">
      <?php echo csrf_field(); ?>
      <!-- Modal Header -->
        <div class="modal-header">
          <h5 class="modal-title">Add Company</h5>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>

        <!-- Modal body -->
        <div class="modal-body">
          <div class="row">
              <div class="col-lg-4">
                  <label for="name-input" class="col-form-label">Company Name<span class="text-danger"> * <span></label>
                  <input id="companyname" name="company_name" type="text" class="form-control" autocomplete="off" placeholder="Enter Company Name" required data-parsley-trigger="focusout" data-parsley-trigger="keyup" data-parsley-pattern="^[A-Za-z & . ]*$">
              </div>
              <div class="col-lg-4">
                  <label for="name-input" class="col-form-label">City<span class="text-danger">  <span></label>
                  <input id="city" name="city" type="text" class="form-control" autocomplete="off" placeholder="Enter City"  data-parsley-trigger="focusout" data-parsley-trigger="keyup" data-parsley-pattern="^[A-Za-z ][A-Za-z ]*$">
              </div>
              <div class="col-lg-4">
                  <label for="name-input" class="col-form-label">Contact Number<span class="text-danger">  <span></label>
                  <input type="text" class="form-control" id="contactno" name="contact" placeholder="(XXX) YYY-ZZZZ" maxlength="19" minlength="10"  autocomplete="off">
              </div>
          </div>
          <div class="row mt-1">
              <div class="col-lg-4">
                  <label for="name-input" class="col-form-label">Photo<span class="text-danger">  <span></label>
                  <input type="file" name="photo" id="photo" class="form-control" data-height="250" data-parsley-trigger="keyup" accept=".jpg,.png,.svg" data-parsley-fileextension='jpg,png,svg,jpeg' data-parsley-errors-container="#startTimeErrorContainer" data-parsley-trigger="change">
              </div>
              <div class="col-lg-4">
                  <label for="name-input" class="col-form-label">State<span class="text-danger">  <span></label>
                  <select id="state" name="state" type="text" class="form-control" autocomplete="off" placeholder="Enter State"  data-parsley-trigger="focusout" data-parsley-trigger="keyup">
                    <option selected disabled value=""> Select State </option>
                    <?php $__currentLoopData = $stateList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($state->id); ?>">
                                <?php echo e($state->short_code); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </select>
              </div>
              <div class="col-lg-4">
                <label for="name-input" class="col-form-label">County<span class="text-danger">  <span></label>
                <select id="county" name="county" type="text" class="form-control" autocomplete="off" placeholder="Enter County"  data-parsley-trigger="focusout" data-parsley-trigger="keyup">
                </select>
            </div>
          </div>
         <div class="row mt-1">
              <div class="col-lg-4">
                  <label for="name-input" class="col-form-label">Zipcode<span class="text-danger">  <span></label>
                  <input  id="zipcode" name="zipcode" type="text" class="form-control" autocomplete="off" placeholder="Enter Zipcode" maxlength="5">
              </div>
              <div class="col-lg-4">
                  <label for="name-input" class="col-form-label">Address<span class="text-danger">  <span></label>
                  <input id="address" name="address" type="text" class="form-control" autocomplete="off" placeholder="Enter Address" >
              </div>
              <div class="col-lg-4">
                  <label for="name-input" class="col-form-label">Email<span class="text-danger">  <span></label>
                  <input id="email" name="email" type="email" class="form-control" autocomplete="off" placeholder="Enter Email" >
              </div>
              <div class="col-lg-2">
                <br>
                <div class="mt-2">
                    <input type="checkbox" class="mx-1"  value="1" id="is_active" name="is_active" />
                    <label for="" class="">Is Active ?</label>
                </div>
            </div>
          </div>
          </div>

        <!-- Modal footer -->
        <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary" name="submit" id="submit" onclick="companyVal();">Submit</button>

        </div>
        </form>
      </div>
    </div>
  </div>

    <div class="modal fade" id="myModalEdit" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-lg" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="exampleModalLabel">Edit company</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<form method="post" id="updatecompanyfrm" name="updatecompanyfrm"  data-parsley-validate enctype="multipart/form-data">
					<?php echo csrf_field(); ?>
                    <input  name="id" value="" id="company_id_ed" type="hidden"  />
					<div class="modal-body">
						<div class="row">
                            <div class="col-lg-4">
                                <label for="compamy-name-input" class="col-form-label">Company<span class="text-danger">  <span></label>
                                <input id="company_name_ed" name="company_name" value="" type="text" class="form-control" autocomplete="off" placeholder="Enter City"  data-parsley-trigger="focusout" data-parsley-trigger="keyup" data-parsley-pattern="^[A-Za-z ][A-Za-z ]*$">

                            </div>
                            <div class="col-lg-4">
                                <label for="name-input" class="col-form-label">City<span class="text-danger">  <span></label>
                                <input id="city_ed" name="city" id="city_ed" value="" type="text" class="form-control" autocomplete="off" placeholder="Enter City"  data-parsley-trigger="focusout" data-parsley-trigger="keyup" data-parsley-pattern="^[A-Za-z ][A-Za-z ]*$">
                            </div>
                            <div class="col-lg-4">
                                <label for="name-input" class="col-form-label">Contact Number<span class="text-danger">  <span></label>
                                <input type="text" class="form-control" id="contact_ed" name="contact" placeholder="(XXX) YYY-ZZZZ" minlength="10" maxlength="19" autocomplete="off">
                            </div>
						</div>
                        <div class="row mt-1">
                            <div class="col-lg-4">
                                <label for="name-input" class="col-form-label">Photo<span class="text-danger">  <span></label>
                                    <input type="file" value="" name="photo" id="photo_ed" class="form-control" data-height="250" data-parsley-trigger="keyup" accept=".jpg,.png,.svg" data-parsley-fileextension='jpg,png,svg,jpeg' data-parsley-errors-container="#startTimeErrorContainer" data-parsley-trigger="change">
                                </div>
                            <div class="col-lg-4">
                                <label for="name-input" class="col-form-label">State<span class="text-danger">  <span></label>
                                <select id="state_ed" name="state" value="" aria-valuemax="text" class="form-control" autocomplete="off" placeholder="Enter State"  data-parsley-trigger="focusout" data-parsley-trigger="keyup">
                                  <option selected disabled value=""> Select State </option>
                                  <?php $__currentLoopData = $stateList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                          <option value="<?php echo e($state->id); ?>">
                                              <?php echo e($state->short_code); ?></option>
                                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <div class="col-lg-4">
                              <label for="name-input" class="col-form-label">County<span class="text-danger">  <span></label>
                              <select id="county_ed" name="county" type="text" class="form-control" value="" autocomplete="off" placeholder="Enter County"  data-parsley-trigger="focusout" data-parsley-trigger="keyup">
                                <?php $__currentLoopData = $countyList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $county): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($county->id); ?>">
                                    <?php echo e($county->county_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                          </div>
                        </div>
						<div class="row mt-1">
                            <div class="col-lg-4">
                                <label for="name-input" class="col-form-label">Zipcode<span class="text-danger">  <span></label>
                                <input id="zip_ed" name="zipcode" type="text" class="form-control" autocomplete="off" placeholder="Enter Zipcode" maxlength="5">
                            </div>
                            <div class="col-lg-4">
                                <label for="name-input" class="col-form-label">Address<span class="text-danger">  <span></label>
                                <input id="address_ed" value="" name="address" type="text" class="form-control" autocomplete="off" placeholder="Enter Address" >
                            </div>
                            <div class="col-lg-4">
                                <label for="name-input" class="col-form-label">Email<span class="text-danger">  <span></label>
                                <input id="email_ed" value="" name="email" type="email" class="form-control" autocomplete="off" placeholder="Enter Email" >
                            </div>
                          <div class="col-lg-2">
                            <br>
                            <div class="mt-2">
                                <input type="checkbox" class="mx-1"  value="1" id="is_active_ed" name="is_active" />
                                <label for="" class="">Is Active ?</label>
                            </div>
                        </div>
					</div>
                </div>
					<div class="modal-footer">
						<button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
						<button type="submit" class="btn btn-primary">Update</button>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
    $(function () {
                <?php if(Session::has('success')): ?>
                new PNotify({
                title: 'Success',
                delay: 500,
                text:  "<?php echo e(Session::get('success')); ?>",
                type: 'success'
                });

                <?php endif; ?>
                <?php if($errors->any()): ?>
                var err = "";
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                    new PNotify({
                    title: 'Error',
                    text: "<?php echo e($error); ?>",
                    delay: 800,
                    type: 'error'
                    });
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>
            });

            $("input[name='contact']").keyup(function() {
            var phoneValue = $(this).val().replace(/\D/g, "");
            if (phoneValue.length > 10) {
            $(this).val(phoneValue.replace(/^(\d{3})(\d{3})(\d{4})(\d{1,4})$/, "($1) $2-$3 x$4"));
            } else {
            $(this).val(phoneValue.replace(/^(\d{3})(\d{3})(\d{4})$/, "($1) $2-$3"));
            }
        });

            $("input[name='zipcode']").blur(function() {
            var zipCodeValue = $(this).val().replace(/\D/g, "");
            var paddedZipCode = ("00000" + zipCodeValue).slice(-5);
            $(this).val(paddedZipCode);
        });


        function companyStatus(value) {
            window.location.href = '/companyStatus/' + value;
        }

        $(document).ready(function()
            {

            var $tabid=  'tab3';
            $(".odtabs").not("#tab3").addClass('btn-outline-secondary');
            $("#tab3").addClass('btn-secondary');

            $('.modal').on('hidden.bs.modal', function() {
                $(this).find('form')[0].reset();
                $(this).find('form').parsley().reset();
            });

            window.ParsleyValidator
            .addValidator('fileextension', function (value, requirement) {
            var tagslistarr = requirement.split(',');
            var fileExtension = value.split('.').pop();
            var arr=[];
            $.each(tagslistarr,function(i,val){
            arr.push(val);
            });
            if(jQuery.inArray(fileExtension, arr)!='-1') {
            return true;
            } else {
            return false;
            }
        }, 32)
        .addMessage('en', 'fileextension', 'The extension doesn\'t match the required');
        $("form").parsley();
            var table = $('#datatable').DataTable({
                responsive: true,
                dom: 'l<"toolbar">Bfrtip',
                buttons: [
                    'excel'
                ],
                initComplete: function(){
                    $("div.toolbar").html('<button id="addCompany" type="button" class="ml-2 btn btn-primary" data-toggle="modal" data-target="#myModal"><img class="menuicon" src="<?php echo e(asset("assets/images/add.svg")); ?>">&nbsp;Add Company</button><br />');
                }
            });
        });
        function getCompany(){
            window.location.href = "/company";
        }
        function companyVal(){
            if ($("#companyForm").parsley()) {
                if ($("#companyForm").parsley().validate()) {
                    event.preventDefault();
                    if ($("#companyForm").parsley().isValid()) {
                        $.ajax({
                        type: "POST",
                        cache:false,
                        async: false,
                        url: "<?php echo e(url('/companyInsert')); ?>",
                        data: new FormData($("#companyForm")[0]),
                        processData: false,
                        contentType: false,
                        success: function(response) {
                            if(response.msg=="Company Name Already Exists!"){

                                new PNotify({
                                title: 'Error',
                                text:  response.msg,
                                type: 'error'
                                });
                                return false;
                            } else if(response.msg=="Only Image Allowed!"){

                                new PNotify({
                                title: 'Error',
                                text:  response.msg,
                                type: 'error'
                                });
                                return false;
                            }else if(response.msg=="Company Added Successfully!"){

                                new PNotify({
                                title: 'Success',
                                text:  response.msg,
                                type: 'success'
                                });
                                setTimeout(function(){  location.reload(); }, 1000);
                            }
                        },
                        error:function(response) {

                            var err = "";
                            $.each(response.responseJSON.errors,function(field_name,error){
                                err = err+error;
                            });
                            new PNotify({
                                title: 'Error',
                                text:err,
                                type: 'error',
                                delay: 1000
                            });
                        }
                        });
                    }
                }
            }
        }


    function companyUpdate(){
        if ($("#companyUpdateForm").parsley()) {
            if ($("#companyUpdateForm").parsley().validate()) {
                event.preventDefault();
                if ($(companyUpdateForm).parsley().isValid()) {
                    $.ajax({
                        type: "POST",
                        cache:false,
                        async: false,
                        url: "<?php echo e(url('/updateCompany')); ?>",
                        data: new FormData($("#companyUpdateForm")[0]),
                        processData: false,
                        contentType: false,
                        success: function(response) {
                            new PNotify({
                                title: 'Success',
                                text:  response.msg,
                                type: 'success'
                            });
                            setTimeout(function(){  location.reload(); }, 800);
                        },
                        error:function(response) {
                            var err = "";
                            $.each(response.responseJSON.errors,function(field_name,error){
                                err = err +'<br>' + error;
                            });
                            new PNotify({
                                title: 'Error',
                                text:err,
                                type: 'error',
                                delay: 2000
                            });
                        }
                    });
                }
            }
        }
        return false;
    }

// Dropdown
$('#state').on('change', function () {
        $("#county").select2();
        var state_id = $("#state").val();
        $("#county").html('');
        $.ajax({
            url: "<?php echo e(url('getCounty')); ?>",
            type: "POST",
            data: {
                state_id: state_id,
                _token: '<?php echo e(csrf_token()); ?>'
            },
            dataType: 'json',
            success: function (result) {
                $('#county').html('<option value="">Select County</option>');
                $.each(result.county, function (key, value) {
                    $("#county").append('<option value="' + value
                        .id + '">' + value.county_name + '</option>');
                });
            }
        });
    });

    $('#state_ed').on('change', function () {
        $("#county_ed").select2();
        var state_id_ed = $("#state_ed").val();
        $("#county_ed").html('');
        $.ajax({
            url: "<?php echo e(url('getCounty')); ?>",
            type: "POST",
            data: {
                state_id: state_id_ed,
                _token: '<?php echo e(csrf_token()); ?>'
            },
            dataType: 'json',
            success: function (result) {
                console.log(result);
                $('#county_ed').html('<option value="">Select County</option>');
                $.each(result.county, function (key, value) {
                    $("#county_ed").append('<option value="' + value
                        .id + '">' + value.county_name + '</option>');
                });
            }
        });
    });


    // Edit company
     $('#datatable').on('click','.edit_company',function () {
		var id = $(this).data('id');
		var url = '<?php echo e(route("edit_company")); ?>';
		$.ajax({
			type: "post",
			url: url,
			data: { id:id , _token: '<?php echo e(csrf_token()); ?>'},
			success: function(response)
			{
				var res = response;
                console.log(res);
                $('#selected_company_name').val(res['company_name']);
                $("#company_id_ed").val(res['id']);
                $("#company_name_ed").val(res['company_name']);
                $("#address_ed").val(res['address']);
				$("#contact_ed").val(res['contact']);
                $("#city_ed").val(res['city']);
                $("#photo_ed").val(res['photo']);
                $("#state_ed").val(res['state']);
                $("#county_ed").val(res['county']);
                $("#email_ed").val(res['email']);
				$("#zip_ed").val(res['zip']);

				if(res['is_active'] == 1) {
					$( "#is_active_ed" ).attr('checked', 'checked');
				} else {
					$( "#is_active_ed" ).removeAttr('checked', 'checked');
				}
				$("#myModalEdit").modal('show');
			}
		});
	});


    $('#updatecompanyfrm').on('submit', function(event){
		event.preventDefault();
		if($('#updatecompanyfrm').parsley().isValid()){
			var url = '<?php echo e(route("updateCompany")); ?>';
			var formData = new FormData(this);
			$.ajax({
				type: "post",
				url: url,
				data: formData,
                contentType: false,
                processData: false,
				success: function(response) {
					new PNotify({
						title: 'Success',
						text:  response.msg,
						type: 'success'
					});
					setTimeout(function(){  location.reload(); }, 800);
				},
				error:function(response) {
					var err = "";
					$.each(response.responseJSON.errors,function(field_name,error){
						err = err +'<br>' + error;
					});
					new PNotify({
						title: 'Error',
						text:err,
						type: 'error',
						delay: 2000
					});
				}
			});
		}
	});
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/stellarfloodcert/resources/views/app/settings/company.blade.php ENDPATH**/ ?>