<?php $__env->startSection('title', 'Stellar | API Configuration'); ?>
<?php $__env->startSection('content'); ?>
<div class="container mt-2">
    <?php echo $__env->make('app.settings.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="col-lg-12">
        <div class="card ">
            <div class="card-body">
                <div class="p-0">
                    <table id="api_datatable" class="table table-bordered nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                        <thead>
                            <tr>
                                <th>Sl No</th>
                                <th>Client</th>
                                <th>Created At</th>
                                <th>Updated At</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody id="apiConfigurationsBody">
                            <?php $__currentLoopData = $apiConfigurations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $config): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($loop->iteration); ?></td>
                                    <td><?php echo e(optional($config->client)->client_name); ?></td>
                                    <td><?php echo e($config->created_at); ?></td>
                                    <td><?php echo e($config->updated_at); ?></td>
                                    <td class="text-center">
                                        <div class="custom-control custom-switch">
                                            <input type="checkbox" class="custom-control-input" id="customSwitch<?php echo e($config->id); ?>" value="<?php echo e($config->id); ?>" onclick="ApiStatus('<?php echo e($config->id); ?>')" <?php if($config->is_active == 1): ?> checked <?php endif; ?>>
                                            <label class="custom-control-label" for="customSwitch<?php echo e($config->id); ?>"><?php if($config->is_active == 1): ?> Active <?php else: ?> Inactive <?php endif; ?></label>
                                        </div>
                                    </td>
                                    <td class="text-center">
                                         <span class="edit_apiconfig ml-2" style="cursor: pointer"  data-id="<?php echo e($config->id); ?>">
                                            <img class="menuicon tbl_editbtn" src="<?php echo e(asset('assets/images/edit.svg')); ?>" >&nbsp;
                                        </span>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
    
    <div class="modal fade" id="myModal">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Add Config</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form method="post"  id="apiform" name="apiform" data-parsley-validate>
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="user_id" value="<?php echo e(auth()->user()->id); ?>" />
                    <div class="modal-body">
                        <div class="row">
                            <?php if(Session::get('user_type_id') == 4): ?>
                                <input type="hidden" name="user_type_id" id="user_type_id" value="5">
                            <?php else: ?>
                                <div class="col-lg-4">
                                    <label for="example-email-input" class="col-form-label"> Client <span class="text-danger"> * </span></label>
                                    <Select required class="form-control select_client" name="client_id" id="user_type_id">
                                        <option selected disabled value="">Select Client</option>
                                        <?php $__currentLoopData = $clientList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($client->id); ?>"><?php echo e($client->client_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </Select>
                                </div>
                                <div class="col-lg-8">
                                    <label>Configuration</label>
                                    <textarea class="form-control col-12" style="height: 100%" name="config_data" id="configuration"></textarea>
                                </div>
                            <?php endif; ?>
                        </div>
                        <div class="row mt-1">
                            <div class="col-lg-2">
                                <br>
                                <div class="mt-3">
                                    <input type="checkbox" class="mx-1"  value="1" id="is_active" name="is_active" />
                                    <label for="" class="">Is Active ?</label>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary" onclick="apiconfig();">Create</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

  
    <div class="modal fade" id="myModalEdit" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Edit Config</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form method="post" id="update_apiconfigfrm" name="update_apiconfigfrm" data-parsley-validate enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <input name="id" value="" id="client_id_ed" type="hidden" />
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-lg-4">
                                <label for="example-email-input" class="col-form-label"> Client <span class="text-danger"> * </span></label>
                                <select required class="form-control select_client" name="client_id" id="client_name_ed">
                                    <option selected disabled value="">Select Client</option>
                                    <?php $__currentLoopData = $clientList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($client->id); ?>"><?php echo e($client->client_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <div class="col-lg-8">
                                <label>Configuration</label>
                                <textarea class="form-control col-12" style="height: 100%" name="config_data" id="configuration_ed"></textarea>
                            </div>
                        </div>
                        <div class="row mt-1">
                            <div class="col-lg-2">
                                <br>
                                <div class="mt-3">
                                    <input type="checkbox" class="mx-1" value="1" id="is_active_ed" name="is_active" />
                                    <label for="" class="">Is Active ?</label>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Update</button>
                    </div>
                </form>
            </div>
        </div>
    </div>




<script type="text/javascript">
    $(function () {
        <?php if(Session::has('success')): ?>
        new PNotify({
        title: 'Success',
        delay: 500,
        text:  "<?php echo e(Session::get('success')); ?>",
        type: 'success'
        });

        <?php endif; ?>
        <?php if($errors->any()): ?>
        var err = "";
        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

            new PNotify({
            title: 'Error',
            text: "<?php echo e($error); ?>",
            delay: 800,
            type: 'error'
            });
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endif; ?>
    });

    function userStatus(value)
    {
        window.location.href = '/userStatus/' + value;
    }
    $(document).ready(function()
        {
            var $tabid=  'tab3';
            $(".odtabs").not("#tab3").addClass('btn-outline-secondary');
            $("#tab3").addClass('btn-secondary');

            $('.modal').on('hidden.bs.modal', function() {
                $(this).find('form')[0].reset();
                $(this).find('form').parsley().reset();
            });
        $("form").parsley();
            var table = $('#api_datatable').DataTable({
                responsive: true,
                dom: 'l<"toolbar">Bfrtip',
                buttons: [
                    'excel'
                ],
                initComplete: function(){
                    $("div.toolbar").html('<button id="addConifg" type="button" class="ml-2 btn btn-primary" data-toggle="modal" data-target="#myModal"><img class="menuicon" src="<?php echo e(asset("assets/images/add.svg")); ?>">&nbsp;Add Config</button><br />');
                }
            });
        });
        function getUsers(){
            window.location.href = "/users";
        }

        function apiconfig(){
            if ($("#apiform").parsley()) {

                if ($("#apiform").parsley().validate()) {
                    event.preventDefault();
                    if ($("#apiform").parsley().isValid()) {
                        $.ajax({
                        type: "POST",
                        cache:false,
                        async: false,
                        url: "<?php echo e(url('/apiInsert')); ?>",
                        data: new FormData($("#apiform")[0]),
                        processData: false,
                        contentType: false,
                        success: function(response) {
                            if(response.msg=="Users Already Exists!"){

                                new PNotify({
                                title: 'Error',
                                text:  response.msg,
                                type: 'error'
                                });
                                return false;
                            } else if(response.msg=="Only Image Allowed!"){

                                new PNotify({
                                title: 'Error',
                                text:  response.msg,
                                type: 'error'
                                });
                                return false;
                            }else if(response.msg=="Users Added Successfully!"){

                                new PNotify({
                                title: 'Success',
                                text:  response.msg,
                                type: 'success'
                                });
                                setTimeout(function(){  location.reload(); }, 1000);
                            }
                        },
                        error:function(response) {

                            var err = "";
                            $.each(response.responseJSON.errors,function(field_name,error){
                                err = err+error;
                            });
                            new PNotify({
                                title: 'Error',
                                text:err,
                                type: 'error',
                                delay: 1000
                            });
                        }
                        });
                    }
                }
            }
        }
    function usersStatus(value) {
        window.location.href = '/usersStatus/' + value;
    }


        // apiStatus
        function ApiStatus(id) {
        var url = '/ApiStatus/' + id;
        var data = {};
        var csrfToken = "<?php echo e(csrf_token()); ?>";

        $.ajax({
        type: 'POST',
        url: url,
        data: data,
        headers: {
            'X-CSRF-Token': csrfToken,
        },
        success: function(response) {
            if(response.message == "Status Changed Successfully!") {
                var label = $('label[for="customSwitch'+ id +'"]');
                if (response.newStatus == 1) {
                    label.text('Active');
                } else {
                    label.text('Inactive');
                }
                new PNotify({
                    title: 'Success',
                    delay: 500,
                    text:  "Status Changed Successfully!",
                    type: 'success'
                });
            } else {
                new PNotify({
                    title: 'Error',
                    text: "An issue has arisen during the update",
                    delay: 800,
                    type: 'error'
                });
            }
        }
        });
    }

    // addApi
    function apiconfig() {
    var formData = $('#apiform').serialize();

        $.ajax({
            type: 'POST',
            url: "<?php echo e(url('/apiInsert')); ?>",
            data: formData,
            success: function(response) {

                console.log(response);
                $('#myModal').modal('hide');
            },
            error: function(xhr, status, error) {

                console.error('Error submitting form: ' + error);
            }
        });
    }


    // Edit ApiConfig
    $('#api_datatable').on('click', '.edit_apiconfig', function () {
            var id = $(this).data('id');
            var url = '<?php echo e(route("edit_apiconfig")); ?>';
            $.ajax({
                type: "post",
                url: url,
                data: { id: id, _token: '<?php echo e(csrf_token()); ?>' },
                success: function (response) {
                    var res = response;

                    $('#client_id_ed').val(res.id);
                    $('#client_name_ed').val(res.client_id);
                    $('#configuration_ed').val(res.config_data);


                    if (res.is_active == 1) {
                        $("#is_active_ed").prop('checked', true);
                    } else {
                        $("#is_active_ed").prop('checked', false);
                    }

                    $("#myModalEdit").modal('show');
                }
            });
        });

        // updateapi
        $('#update_apiconfigfrm').on('submit', function (event) {
        event.preventDefault();
        $.ajax({
            type: 'POST',
            url: '<?php echo e(route("update_apiconfig")); ?>',
            data: {
                id: $('#client_id_ed').val(),
                client_id: $('#client_name_ed').val(),
                config_data: $('#configuration_ed').val(),
                is_active: $('#is_active_ed').is(':checked') ? 1 : 0,
                _token: '<?php echo e(csrf_token()); ?>'
            },
            success: function (response) {
                var res = response;
                $('#is_active_ed').prop('checked', res.is_active == 1);
                $("#myModalEdit").modal('hide');
                new PNotify({
                    title: 'Success',
                    text: 'Updated successfully!',
                    type: 'success'
                });

                setTimeout(function () {
                    location.reload();
                });
            },
            error: function (response) {
                console.error(response);
            }
        });
    });


</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/stellarfloodcert/resources/views/app/settings/api_config.blade.php ENDPATH**/ ?>