<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title><?php echo $__env->yieldContent('title'); ?></title>
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta content="Home" name="description" />
        <meta content="" name="author" />
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <link rel="shortcut icon" href="<?php echo e(asset('assets/images/favicon.png')); ?>">
         <link href="<?php echo e(asset('plugins/daterangepicker/daterangepicker.css')); ?>" rel="stylesheet" />
        <link href="<?php echo e(asset('plugins/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />
        <link href="<?php echo e(asset('plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.css')); ?>" rel="stylesheet" type="text/css" />
        <link href="<?php echo e(asset('plugins/bootstrap-touchspin/css/jquery.bootstrap-touchspin.min.css')); ?>" rel="stylesheet" />
        <link href="<?php echo e(asset('plugins/nestable/jquery.nestable.min.css')); ?>" rel="stylesheet" />
        <link href="<?php echo e(asset('plugins/sweet-alert2/sweetalert2.min.css')); ?>" rel="stylesheet" type="text/css">
        <link href="<?php echo e(asset('plugins/animate/animate.css')); ?>" rel="stylesheet" type="text/css">
        <link href="<?php echo e(asset('plugins/dropify/css/dropify.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('plugins/jvectormap/jquery-jvectormap-2.0.2.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('plugins/jquery-steps/jquery.steps.css')); ?>">
        <link href="<?php echo e(asset('plugins/sweet-alert2/sweetalert2.min.css')); ?>" rel="stylesheet" type="text/css">
        <link href="<?php echo e(asset('plugins/datatables/dataTables.bootstrap4.min.css')); ?>" rel="stylesheet" type="text/css" />
        <link href="<?php echo e(asset('plugins/datatables/buttons.bootstrap4.min.css')); ?>" rel="stylesheet" type="text/css" />
        <link href="<?php echo e(asset('plugins/datatables/responsive.bootstrap4.min.css')); ?>" rel="stylesheet" type="text/css" />
        <link href="<?php echo e(asset('assets/css/jquery-ui.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/css/bootstrap.min.css')); ?>" rel="stylesheet" type="text/css" />
        <link href="<?php echo e(asset('assets/css/icons.min.css')); ?>" rel="stylesheet" type="text/css" />
        <link href="<?php echo e(asset('assets/css/metisMenu.min.css')); ?>" rel="stylesheet" type="text/css" />
        <link href="<?php echo e(asset('assets/css/app.min.css')); ?>" rel="stylesheet" type="text/css" />
        <link href="<?php echo e(asset('assets/css/custom.css')); ?>" rel="stylesheet" type="text/css" />
        <link href="<?php echo e(asset('assets/css/style.css')); ?>" rel="stylesheet" type="text/css" />
        <script src="<?php echo e(asset('assets/js/jquery.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/jquery-ui.min.js')); ?>"></script>
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/pnotify.custom.css')); ?>">
        <script type="text/javascript" src="<?php echo e(asset('assets/js/pnotify.custom.js')); ?>"></script>
        <link href="<?php echo e(asset('assets/css/client_style.css')); ?>" rel="stylesheet" type="text/css" />
        <style>
            .menu.notification {
                position: relative;
            }
			[data-layout="horizontal"] .page-wrapper .page-content{
				margin-top: 0;
				padding: 0 0 60px 0;
			}
			.page-wrapper .page-content {
				width: calc(100% - 270px) !important;
				margin: auto;
				position: relative;
				min-height: 100vh;
			}
        </style>

    </head>
    <body data-layout="horizontal" style="background-color: #edf0f5;">
        <div class="topbar">
            <div id="snow"></div>
            <?php if(Auth::guard('web')->check()): ?>
                <div class="container p-0 topbar-inner">

                    <div class="navbar-custom-menu " style="margin-left: .5rem !important">
                        <div id="navigation">
                            
                            <a href="<?php echo e(route('home')); ?>" class="logo">
                                <span><img src="<?php echo e(asset('assets/images/logo.png')); ?>" alt="logo-small" class="logo-sm" style="height: 2.5rem;"></span>
                            </a>

                            <ul class="navigation-menu ml-4">
                                <li class="<?php echo e((Request::is('/') || Request::is('home')) ? 'submenuactive' : ''); ?>">
                                    <a href="<?php echo e(route('home')); ?>">
                                        <i id="dashboard-icon" class="dripicons-meter <?php echo e((Request::is('/') || Request::is('home')) ? 'submenuactivei' : ''); ?>"></i>
                                        Dashboard
                                    </a>
                                </li>
                                <li class="<?php echo e((Request::is('orders') || Request::is('orders/*')) ? 'submenuactive' : ''); ?>">
                                    <a href="<?php echo e(route('orders')); ?>">
                                        <i id="settings-icon" class="dripicons-document <?php echo e((Request::is('orders') || Request::is('orders/*')) ? 'submenuactivei' : ''); ?>"></i>Orders
                                    </a>
                                </li>
								<li class="<?php echo e((Request::is('getdemoscreen') || Request::is('getdemoscreen/*')) ? 'submenuactive' : ''); ?>">
                                    <a href="<?php echo e(route('getdemoscreen')); ?>">
                                        <i id="settings-icon" class="dripicons-document <?php echo e((Request::is('getdemoscreen') || Request::is('getdemoscreen/*')) ? 'submenuactivei' : ''); ?>"></i>Demo Order
                                    </a>
                                </li>
                                <?php if(Auth::user()->hasRole('Super Admin') || Auth::user()->hasRole('Admin') || Auth::user()->hasRole('Lead')): ?>
                                    <!--li class="<?php echo e((Request::is('ordersAssignment') || Request::is('ordersAssignment/*')) ? 'submenuactive' : ''); ?>">
                                        <a href="<?php echo e(route('ordersAssignment')); ?>">
                                            <i id="assign_order-icon" class="dripicons-list <?php echo e((Request::is('ordersAssignment') || Request::is('ordersAssignment/*')) ? 'submenuactivei' : ''); ?>"></i>
                                            Assign Orders
                                        </a>
                                    </li-->
                                <?php endif; ?>
                                <li class="<?php echo e((Request::is('single_order') || Request::is('single_order/*')) ? 'submenuactive' : ''); ?>">
                                    <a href="<?php echo e(route('single_order')); ?>">
                                        <i id="single_order-icon" class="dripicons-list <?php echo e((Request::is('single_order') || Request::is('single_order/*')) ? 'submenuactivei' : ''); ?>"></i>
                                        Order Creation
                                    </a>
                                </li>
                                <?php if(Auth::user()->hasRole('Super Admin') || Auth::user()->hasRole('Admin')): ?>
                                <li class="<?php echo e((Request::is('settings') || Request::is('settings/*')) ? 'submenuactive' : ''); ?>">
                                    <a href="<?php echo e(route('settings')); ?>">
                                        <i id="settings-icon" class="dripicons-gear <?php echo e((Request::is('settings') || Request::is('settings/*')) ? 'submenuactivei' : ''); ?>"></i>Settings
                                    </a>
                                </li>
                            <?php endif; ?>
                            </ul>
                        </div>
                    </div>
                    <nav class="navbar-custom float-right">
                        <ul class="list-unstyled topbar-nav mb-0">
                            <li class="dropdown">
                                <a class="nav-link dropdown-toggle waves-effect waves-light nav-user" data-toggle="dropdown" href="#" role="button"
                                    aria-haspopup="false" aria-expanded="false">
                                    <img src="<?php echo e(asset('assets/images/users/user-1.png')); ?>" alt="profile-user" class="rounded-circle" />
                                    <span class="ml-1 nav-user-name hidden-sm">
                                        <?php if(Auth::guard('web')->check()): ?>
                                             <?php echo e(Auth::guard('web')->user()->first_name); ?> <?php echo e(Auth::guard('web')->user()->last_name); ?>

                                        <?php endif; ?>
                                    <i class="mdi mdi-chevron-down"></i></span>
                                </a>
                                <div class="dropdown-menu dropdown-menu-right">
                                    <a class="dropdown-item"  href="<?php echo e(route('profile_Edit')); ?>">
                                        <i class=" far fa-address-card text-muted mr-2"></i> Profile
                                    </a>
                                    <?php if(Auth::guard('web')->check()): ?>
                                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                                            <?php echo csrf_field(); ?>
                                        </form>
                                        <a class="dropdown-item" href="#" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                                            <i class="ti-power-off text-muted mr-2"></i> Logout
                                        </a>
                                    <?php endif; ?>
                                </div>
                            </li>
                            <li class="menu-item">
                                <a class="navbar-toggle nav-link" id="mobileToggle">
                                    <div class="lines">
                                        <span></span>
                                        <span></span>
                                        <span></span>
                                    </div>
                                </a>
                            </li>
                        </ul>
                    </nav>
                </div>
            <?php endif; ?>
        </div>
        <!-- Top Bar End -->
        <div class="page-wrapper" >
            <div class="page-content">
                <?php echo $__env->yieldContent('content'); ?>
            </div>
        </div>
        <footer class="footer text-center text-sm-left">
            <div class="boxed-footer text-center">
                <a href="https://www.stellaripl.com/" target="_blank">&copy; <?php echo date("Y"); ?> Stellar Innovations.</a>
            </div>
        </footer>
        <style>
            .footer {
            border-top: 1px solid #e8ebf3;
            bottom: auto !important;   /* bottom: 0; */
            padding: 20px;
            position: absolute;
            right: 0;
            left: 0;
            color: #7081b9;
        }
        </style>
        
        <script src="<?php echo e(asset('assets/js/bootstrap.bundle.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/metismenu.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/waves.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/feather.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/jquery.slimscroll.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/jvectormap/jquery-jvectormap-2.0.2.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/jvectormap/jquery-jvectormap-us-aea-en.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/parsleyjs/parsley.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/apexcharts/apexcharts.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/pages/jquery.validation.init.js')); ?>"></script>
        <!-- Required datatable js -->
        <script src="<?php echo e(asset('plugins/datatables/jquery.dataTables.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/datatables/dataTables.bootstrap4.min.js')); ?>"></script>
        <!-- Buttons examples -->
        <script src="<?php echo e(asset('plugins/datatables/dataTables.buttons.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/datatables/buttons.bootstrap4.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/datatables/jszip.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/datatables/pdfmake.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/datatables/vfs_fonts.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/datatables/buttons.html5.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/datatables/buttons.print.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/datatables/buttons.colVis.min.js')); ?>"></script>
        <!-- Responsive examples -->
        <script src="<?php echo e(asset('plugins/datatables/dataTables.responsive.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/datatables/responsive.bootstrap4.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/pages/jquery.datatable.init.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/dropify/js/dropify.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/pages/jquery.form-upload.init.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/pages/jquery.animate.init.js')); ?>"></script>
        <!-- App js -->
        <script src="<?php echo e(asset('plugins/sweet-alert2/sweetalert2.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/pages/jquery.sweet-alert.init.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/jquery-steps/jquery.steps.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/pages/jquery.form-wizard.init.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/repeater/jquery.repeater.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/pages/jquery.form-repeater.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/jquery.core.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/moment/moment.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/daterangepicker/daterangepicker.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/select2/select2.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/timepicker/bootstrap-material-datetimepicker.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/bootstrap-maxlength/bootstrap-maxlength.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/bootstrap-touchspin/js/jquery.bootstrap-touchspin.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/pages/jquery.forms-advanced.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/app.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/parsley.min.js')); ?>"></script>
        <?php echo $__env->yieldPushContent('script-bottom'); ?>
    </body>
    <script>
        (function (e) {
            var el = document.createElement('script');
            el.setAttribute('data-account', 'sukLXB6xXR');
            el.setAttribute('src', 'https://cdn.userway.org/widget.js');
            document.body.appendChild(el);
        })();
    </script>
</html>

<?php /**PATH /var/www/html/stellarfloodcert/resources/views/layouts/app.blade.php ENDPATH**/ ?>